<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('quality_document_locations', function (Blueprint $table) {
            $table->json('options')->nullable()->after('inspection_status')->comment('QMS 심사 확인 등 추가 데이터');
        });
    }

    public function down(): void
    {
        Schema::table('quality_document_locations', function (Blueprint $table) {
            $table->dropColumn('options');
        });
    }
};
